sendsend.email

List broadcasts

GET/v1/broadcasts

Newest first, without the message bodies.

Required scope: broadcasts:manage

Parameters

NameInDescription
limitoptionalqueryPage size, 1 to 100. Default 20.
cursoroptionalqueryThe next_cursor from a previous page.

Example

curl -X GET 'https://api.sendsend.email/v1/broadcasts' \
  -H "Authorization: Bearer $SENDSEND_API_KEY"

Response 200

{
  "object": "list",
  "has_more": false,
  "data": [
    {
      "id": "bcast_Tz8…",
      "object": "broadcast",
      "name": "October update",
      "audience_id": "aud_7Qe2…",
      "topic_id": null,
      "from": "Acme <news@mail.acme.com>",
      "subject": "What’s new, {{{FIRST_NAME|there}}}",
      "status": "draft",
      "status_reason": null,
      "scheduled_at": null,
      "sent": 0,
      "skipped": 0,
      "failed": 0,
      "created_at": "2026-10-06T15:00:00.000Z"
    }
  ],
  "next_cursor": null
}

Errors

StatusCodeWhen
401unauthorizedThe API key is missing, invalid or revoked.
403forbiddenThe key does not have the scope this endpoint needs.

Every error has the same shape. See Errors.